/*
 * Copyright 2017-2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_


/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M0P */

#define PIO023_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO023_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO023_I2CSLEW_I2C_MODE                                            0x00u   /*!<@brief Controls slew rate of I2C pin.: I2C mode. */
#define PIO024_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO024_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO024_I2CSLEW_I2C_MODE                                            0x00u   /*!<@brief Controls slew rate of I2C pin.: I2C mode. */

/*! @name FC1_RTS_SCL_SSEL1 (number 1), J4[9]/JS3[1]/JS4[3]/U10[7]/U12[D6]/BRIDGE_SCL */
/* Routed pin properties */
#define BOARD_LINK2MCU_SCL_PERIPHERAL                                  FLEXCOMM1   /*!<@brief Peripheral name */
#define BOARD_LINK2MCU_SCL_SIGNAL                                  RTS_SCL_SSEL1   /*!<@brief Signal name */
#define BOARD_LINK2MCU_SCL_PIN_NAME                            FC1_RTS_SCL_SSEL1   /*!<@brief Routed pin name */
#define BOARD_LINK2MCU_SCL_LABEL "J4[9]/JS3[1]/JS4[3]/U10[7]/U12[D6]/BRIDGE_SCL"   /*!<@brief Label */
#define BOARD_LINK2MCU_SCL_NAME                                   "LINK2MCU_SCL"   /*!<@brief Identifier */
#define BOARD_LINK2MCU_SCL_PORT                                               0U   /*!<@brief PORT device index: 0 */
#define BOARD_LINK2MCU_SCL_PIN                                               23U   /*!<@brief PORT pin number */
#define BOARD_LINK2MCU_SCL_PIN_MASK                                  (1U << 23U)   /*!<@brief PORT pin mask */

/*! @name FC1_CTS_SDA_SSEL0 (number 2), J4[10]/JS2[1]/JS5[3]/U10[5]/U12[E6]/SW1/BRIDGE_SDA-WAKEUP */
/* Routed pin properties */
#define BOARD_LINK2MCU_SDA_PERIPHERAL                                  FLEXCOMM1   /*!<@brief Peripheral name */
#define BOARD_LINK2MCU_SDA_SIGNAL                                  CTS_SDA_SSEL0   /*!<@brief Signal name */
#define BOARD_LINK2MCU_SDA_PIN_NAME                            FC1_CTS_SDA_SSEL0   /*!<@brief Routed pin name */
#define BOARD_LINK2MCU_SDA_LABEL "J4[10]/JS2[1]/JS5[3]/U10[5]/U12[E6]/SW1/BRIDGE_SDA-WAKEUP" /*!<@brief Label */
#define BOARD_LINK2MCU_SDA_NAME                                   "LINK2MCU_SDA"   /*!<@brief Identifier */
#define BOARD_LINK2MCU_SDA_PORT                                               0U   /*!<@brief PORT device index: 0 */
#define BOARD_LINK2MCU_SDA_PIN                                               24U   /*!<@brief PORT pin number */
#define BOARD_LINK2MCU_SDA_PIN_MASK                                  (1U << 24U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLink2MCUPins(void); /* Function assigned for the Cortex-M0P */

#define PIO024_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO024_FUNC_ALT0                                                   0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO031_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO031_FUNC_ALT0                                                   0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO04_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT0                                                    0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_24 (number 2), J4[10]/JS2[1]/JS5[3]/U10[5]/U12[E6]/SW1/BRIDGE_SDA-WAKEUP */
/* Routed pin properties */
#define BOARD_SW1_PERIPHERAL                                                GPIO   /*!<@brief Peripheral name */
#define BOARD_SW1_SIGNAL                                                    PIO0   /*!<@brief Signal name */
#define BOARD_SW1_CHANNEL                                                     24   /*!<@brief Signal channel */
#define BOARD_SW1_PIN_NAME                                               PIO0_24   /*!<@brief Routed pin name */
#define BOARD_SW1_LABEL "J4[10]/JS2[1]/JS5[3]/U10[5]/U12[E6]/SW1/BRIDGE_SDA-WAKEUP" /*!<@brief Label */
#define BOARD_SW1_NAME                                                     "SW1"   /*!<@brief Identifier */
#define BOARD_SW1_DIRECTION                              kPIN_MUX_DirectionInput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_SW1_GPIO                                                      GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW1_GPIO_PIN                                                   24U   /*!<@brief GPIO pin number */
#define BOARD_SW1_GPIO_PIN_MASK                                      (1U << 24U)   /*!<@brief GPIO pin mask */
#define BOARD_SW1_PORT                                                        0U   /*!<@brief PORT device index: 0 */
#define BOARD_SW1_PIN                                                        24U   /*!<@brief PORT pin number */
#define BOARD_SW1_PIN_MASK                                           (1U << 24U)   /*!<@brief PORT pin mask */

/*! @name PIO0_31 (number 13), J2[17]/J3[2]/P1[7]/U3[4]/SW2/P0_31-PDM0_CLK-ISP0_EN */
/* Routed pin properties */
#define BOARD_SW2_PERIPHERAL                                                GPIO   /*!<@brief Peripheral name */
#define BOARD_SW2_SIGNAL                                                    PIO0   /*!<@brief Signal name */
#define BOARD_SW2_CHANNEL                                                     31   /*!<@brief Signal channel */
#define BOARD_SW2_PIN_NAME                                               PIO0_31   /*!<@brief Routed pin name */
#define BOARD_SW2_LABEL    "J2[17]/J3[2]/P1[7]/U3[4]/SW2/P0_31-PDM0_CLK-ISP0_EN"   /*!<@brief Label */
#define BOARD_SW2_NAME                                                     "SW2"   /*!<@brief Identifier */
#define BOARD_SW2_DIRECTION                              kPIN_MUX_DirectionInput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_SW2_GPIO                                                      GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW2_GPIO_PIN                                                   31U   /*!<@brief GPIO pin number */
#define BOARD_SW2_GPIO_PIN_MASK                                      (1U << 31U)   /*!<@brief GPIO pin mask */
#define BOARD_SW2_PORT                                                        0U   /*!<@brief PORT device index: 0 */
#define BOARD_SW2_PIN                                                        31U   /*!<@brief PORT pin number */
#define BOARD_SW2_PIN_MASK                                           (1U << 31U)   /*!<@brief PORT pin mask */

/*! @name PIO0_4 (number 38), J4[7]/U9[12]/SW3/BRIDGE_T_INTR-ISP1 */
/* Routed pin properties */
#define BOARD_SW3_PERIPHERAL                                                GPIO   /*!<@brief Peripheral name */
#define BOARD_SW3_SIGNAL                                                    PIO0   /*!<@brief Signal name */
#define BOARD_SW3_CHANNEL                                                      4   /*!<@brief Signal channel */
#define BOARD_SW3_PIN_NAME                                                PIO0_4   /*!<@brief Routed pin name */
#define BOARD_SW3_LABEL                    "J4[7]/U9[12]/SW3/BRIDGE_T_INTR-ISP1"   /*!<@brief Label */
#define BOARD_SW3_NAME                                                     "SW3"   /*!<@brief Identifier */
#define BOARD_SW3_DIRECTION                              kPIN_MUX_DirectionInput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_SW3_GPIO                                                      GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW3_GPIO_PIN                                                    4U   /*!<@brief GPIO pin number */
#define BOARD_SW3_GPIO_PIN_MASK                                       (1U << 4U)   /*!<@brief GPIO pin mask */
#define BOARD_SW3_PORT                                                        0U   /*!<@brief PORT device index: 0 */
#define BOARD_SW3_PIN                                                         4U   /*!<@brief PORT pin number */
#define BOARD_SW3_PIN_MASK                                            (1U << 4U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONsPins(void); /* Function assigned for the Cortex-M0P */

#define PIO029_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_FUNC_ALT0                                                   0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO110_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO110_FUNC_ALT0                                                   0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO19_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO19_FUNC_ALT0                                                    0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO1_9 (number 29), J9[5]/D2[3]/P1_9-BLUE_LED */
/* Routed pin properties */
#define BOARD_LED_BLUE_PERIPHERAL                                           GPIO   /*!<@brief Peripheral name */
#define BOARD_LED_BLUE_SIGNAL                                               PIO1   /*!<@brief Signal name */
#define BOARD_LED_BLUE_CHANNEL                                                 9   /*!<@brief Signal channel */
#define BOARD_LED_BLUE_PIN_NAME                                           PIO1_9   /*!<@brief Routed pin name */
#define BOARD_LED_BLUE_LABEL                         "J9[5]/D2[3]/P1_9-BLUE_LED"   /*!<@brief Label */
#define BOARD_LED_BLUE_NAME                                           "LED_BLUE"   /*!<@brief Identifier */
#define BOARD_LED_BLUE_DIRECTION                        kPIN_MUX_DirectionOutput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_BLUE_GPIO                                                 GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_BLUE_GPIO_PIN                                               9U   /*!<@brief GPIO pin number */
#define BOARD_LED_BLUE_GPIO_PIN_MASK                                  (1U << 9U)   /*!<@brief GPIO pin mask */
#define BOARD_LED_BLUE_PORT                                                   1U   /*!<@brief PORT device index: 1 */
#define BOARD_LED_BLUE_PIN                                                    9U   /*!<@brief PORT pin number */
#define BOARD_LED_BLUE_PIN_MASK                                       (1U << 9U)   /*!<@brief PORT pin mask */

/*! @name PIO1_10 (number 30), J9[8]/D2[4]/P1_10-SCT4-LED_GREEN */
/* Routed pin properties */
#define BOARD_LED_GREEN_PERIPHERAL                                          GPIO   /*!<@brief Peripheral name */
#define BOARD_LED_GREEN_SIGNAL                                              PIO1   /*!<@brief Signal name */
#define BOARD_LED_GREEN_CHANNEL                                               10   /*!<@brief Signal channel */
#define BOARD_LED_GREEN_PIN_NAME                                         PIO1_10   /*!<@brief Routed pin name */
#define BOARD_LED_GREEN_LABEL                 "J9[8]/D2[4]/P1_10-SCT4-LED_GREEN"   /*!<@brief Label */
#define BOARD_LED_GREEN_NAME                                         "LED_GREEN"   /*!<@brief Identifier */
#define BOARD_LED_GREEN_DIRECTION                       kPIN_MUX_DirectionOutput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_GREEN_GPIO                                                GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO_PIN                                             10U   /*!<@brief GPIO pin number */
#define BOARD_LED_GREEN_GPIO_PIN_MASK                                (1U << 10U)   /*!<@brief GPIO pin mask */
#define BOARD_LED_GREEN_PORT                                                  1U   /*!<@brief PORT device index: 1 */
#define BOARD_LED_GREEN_PIN                                                  10U   /*!<@brief PORT pin number */
#define BOARD_LED_GREEN_PIN_MASK                                     (1U << 10U)   /*!<@brief PORT pin mask */

/*! @name PIO0_29 (number 11), J2[5]/D2[1]/P0_29-CT32B0_MAT3-RED */
/* Routed pin properties */
#define BOARD_LED_RED_PERIPHERAL                                            GPIO   /*!<@brief Peripheral name */
#define BOARD_LED_RED_SIGNAL                                                PIO0   /*!<@brief Signal name */
#define BOARD_LED_RED_CHANNEL                                                 29   /*!<@brief Signal channel */
#define BOARD_LED_RED_PIN_NAME                                           PIO0_29   /*!<@brief Routed pin name */
#define BOARD_LED_RED_LABEL                  "J2[5]/D2[1]/P0_29-CT32B0_MAT3-RED"   /*!<@brief Label */
#define BOARD_LED_RED_NAME                                             "LED_RED"   /*!<@brief Identifier */
#define BOARD_LED_RED_DIRECTION                         kPIN_MUX_DirectionOutput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_RED_GPIO                                                  GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO_PIN                                               29U   /*!<@brief GPIO pin number */
#define BOARD_LED_RED_GPIO_PIN_MASK                                  (1U << 29U)   /*!<@brief GPIO pin mask */
#define BOARD_LED_RED_PORT                                                    0U   /*!<@brief PORT device index: 0 */
#define BOARD_LED_RED_PIN                                                    29U   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK                                       (1U << 29U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void); /* Function assigned for the Cortex-M0P */

#define PIO025_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO025_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO025_I2CSLEW_I2C_MODE                                            0x00u   /*!<@brief Controls slew rate of I2C pin.: I2C mode. */
#define PIO026_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO026_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO026_I2CSLEW_I2C_MODE                                            0x00u   /*!<@brief Controls slew rate of I2C pin.: I2C mode. */

/*! @name FC4_RTS_SCL_SSEL1 (number 3), J1[1]/JS4[1]/U10[7]/P0_25-FC4_SCLX */
/* Routed pin properties */
#define BOARD_FC4_SCLX_PERIPHERAL                                      FLEXCOMM4   /*!<@brief Peripheral name */
#define BOARD_FC4_SCLX_SIGNAL                                      RTS_SCL_SSEL1   /*!<@brief Signal name */
#define BOARD_FC4_SCLX_PIN_NAME                                FC4_RTS_SCL_SSEL1   /*!<@brief Routed pin name */
#define BOARD_FC4_SCLX_LABEL                "J1[1]/JS4[1]/U10[7]/P0_25-FC4_SCLX"   /*!<@brief Label */
#define BOARD_FC4_SCLX_NAME                                           "FC4_SCLX"   /*!<@brief Identifier */
#define BOARD_FC4_SCLX_PORT                                                   0U   /*!<@brief PORT device index: 0 */
#define BOARD_FC4_SCLX_PIN                                                   25U   /*!<@brief PORT pin number */
#define BOARD_FC4_SCLX_PIN_MASK                                      (1U << 25U)   /*!<@brief PORT pin mask */

/*! @name FC4_CTS_SDA_SSEL0 (number 4), J1[3]/JS5[1]/U10[5]/P0_26-FC4_SDAX */
/* Routed pin properties */
#define BOARD_FC4_SDAX_PERIPHERAL                                      FLEXCOMM4   /*!<@brief Peripheral name */
#define BOARD_FC4_SDAX_SIGNAL                                      CTS_SDA_SSEL0   /*!<@brief Signal name */
#define BOARD_FC4_SDAX_PIN_NAME                                FC4_CTS_SDA_SSEL0   /*!<@brief Routed pin name */
#define BOARD_FC4_SDAX_LABEL                "J1[3]/JS5[1]/U10[5]/P0_26-FC4_SDAX"   /*!<@brief Label */
#define BOARD_FC4_SDAX_NAME                                           "FC4_SDAX"   /*!<@brief Identifier */
#define BOARD_FC4_SDAX_PORT                                                   0U   /*!<@brief PORT device index: 0 */
#define BOARD_FC4_SDAX_PIN                                                   26U   /*!<@brief PORT pin number */
#define BOARD_FC4_SDAX_PIN_MASK                                      (1U << 26U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSecureMCUPins(void); /* Function assigned for the Cortex-M0P */

#define PIO018_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO018_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO019_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO019_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO020_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO020_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO12_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO12_FUNC_ALT4                                                    0x04u   /*!<@brief Selects pin function.: Alternative connection 4. */

/*! @name FC5_TXD_SCL_MISO (number 58), J1[11]/U5[2]/P0_18-FC5_TXD_SCL_MISO */
/* Routed pin properties */
#define BOARD_SPI_FLASH_MISO_PERIPHERAL                                FLEXCOMM5   /*!<@brief Peripheral name */
#define BOARD_SPI_FLASH_MISO_SIGNAL                                 TXD_SCL_MISO   /*!<@brief Signal name */
#define BOARD_SPI_FLASH_MISO_PIN_NAME                           FC5_TXD_SCL_MISO   /*!<@brief Routed pin name */
#define BOARD_SPI_FLASH_MISO_LABEL         "J1[11]/U5[2]/P0_18-FC5_TXD_SCL_MISO"   /*!<@brief Label */
#define BOARD_SPI_FLASH_MISO_NAME                               "SPI_FLASH_MISO"   /*!<@brief Identifier */
#define BOARD_SPI_FLASH_MISO_PORT                                             0U   /*!<@brief PORT device index: 0 */
#define BOARD_SPI_FLASH_MISO_PIN                                             18U   /*!<@brief PORT pin number */
#define BOARD_SPI_FLASH_MISO_PIN_MASK                                (1U << 18U)   /*!<@brief PORT pin mask */

/*! @name FC5_SCK (number 59), J1[9]/J2[8]/U5[6]/P0_19-FC5_SCK-SPIFI_CSn */
/* Routed pin properties */
#define BOARD_SPI_FLASH_SCK_PERIPHERAL                                 FLEXCOMM5   /*!<@brief Peripheral name */
#define BOARD_SPI_FLASH_SCK_SIGNAL                                           SCK   /*!<@brief Signal name */
#define BOARD_SPI_FLASH_SCK_PIN_NAME                                     FC5_SCK   /*!<@brief Routed pin name */
#define BOARD_SPI_FLASH_SCK_LABEL    "J1[9]/J2[8]/U5[6]/P0_19-FC5_SCK-SPIFI_CSn"   /*!<@brief Label */
#define BOARD_SPI_FLASH_SCK_NAME                                 "SPI_FLASH_SCK"   /*!<@brief Identifier */
#define BOARD_SPI_FLASH_SCK_PORT                                              0U   /*!<@brief PORT device index: 0 */
#define BOARD_SPI_FLASH_SCK_PIN                                              19U   /*!<@brief PORT pin number */
#define BOARD_SPI_FLASH_SCK_PIN_MASK                                 (1U << 19U)   /*!<@brief PORT pin mask */

/*! @name FC5_RXD_SDA_MOSI (number 60), J1[13]/U5[5]/P0_20-FC5_RXD_SDA_MOSI */
/* Routed pin properties */
#define BOARD_SPI_FLASH_MOSI_PERIPHERAL                                FLEXCOMM5   /*!<@brief Peripheral name */
#define BOARD_SPI_FLASH_MOSI_SIGNAL                                 RXD_SDA_MOSI   /*!<@brief Signal name */
#define BOARD_SPI_FLASH_MOSI_PIN_NAME                           FC5_RXD_SDA_MOSI   /*!<@brief Routed pin name */
#define BOARD_SPI_FLASH_MOSI_LABEL         "J1[13]/U5[5]/P0_20-FC5_RXD_SDA_MOSI"   /*!<@brief Label */
#define BOARD_SPI_FLASH_MOSI_NAME                               "SPI_FLASH_MOSI"   /*!<@brief Identifier */
#define BOARD_SPI_FLASH_MOSI_PORT                                             0U   /*!<@brief PORT device index: 0 */
#define BOARD_SPI_FLASH_MOSI_PIN                                             20U   /*!<@brief PORT pin number */
#define BOARD_SPI_FLASH_MOSI_PIN_MASK                                (1U << 20U)   /*!<@brief PORT pin mask */

/*! @name FC5_SSEL3 (number 16), J9[7]/JS8[1]/U5[1]/P1_2-FC5_SSEL3 */
/* Routed pin properties */
#define BOARD_FC5_SSEL3_PERIPHERAL                                     FLEXCOMM5   /*!<@brief Peripheral name */
#define BOARD_FC5_SSEL3_SIGNAL                                             SSEL3   /*!<@brief Signal name */
#define BOARD_FC5_SSEL3_PIN_NAME                                       FC5_SSEL3   /*!<@brief Routed pin name */
#define BOARD_FC5_SSEL3_LABEL                "J9[7]/JS8[1]/U5[1]/P1_2-FC5_SSEL3"   /*!<@brief Label */
#define BOARD_FC5_SSEL3_NAME                                         "FC5_SSEL3"   /*!<@brief Identifier */
#define BOARD_FC5_SSEL3_PORT                                                  1U   /*!<@brief PORT device index: 1 */
#define BOARD_FC5_SSEL3_PIN                                                   2U   /*!<@brief PORT pin number */
#define BOARD_FC5_SSEL3_PIN_MASK                                      (1U << 2U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSPI_FLASHPins(void); /* Function assigned for the Cortex-M0P */

#define PIO011_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO011_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO012_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO012_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO013_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO013_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO014_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO014_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO022_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO022_FUNC_ALT0                                                   0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO023_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO023_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO023_I2CSLEW_I2C_MODE                                            0x00u   /*!<@brief Controls slew rate of I2C pin.: I2C mode. */
#define PIO024_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO024_FUNC_ALT1                                                   0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO024_I2CSLEW_I2C_MODE                                            0x00u   /*!<@brief Controls slew rate of I2C pin.: I2C mode. */
#define PIO04_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT0                                                    0x00u   /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_4 (number 38), J4[7]/U9[12]/SW3/BRIDGE_T_INTR-ISP1 */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_PERIPHERAL          GPIO   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_SIGNAL              PIO0   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_CHANNEL                4   /*!<@brief Signal channel */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_PIN_NAME          PIO0_4   /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_LABEL "J4[7]/U9[12]/SW3/BRIDGE_T_INTR-ISP1" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_NAME     "BRIDGE_T_INTR"   /*!<@brief Identifier */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_GPIO                GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_GPIO_PIN              4U   /*!<@brief GPIO pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_GPIO_PIN_MASK (1U << 4U)   /*!<@brief GPIO pin mask */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_PORT                  0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_PIN                   4U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_INTR_PIN_MASK      (1U << 4U)   /*!<@brief PORT pin mask */

/*! @name FC3_SCK (number 46), J4[4]/U9[13]/BRIDGE_T_SCK */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_PERIPHERAL      FLEXCOMM3   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_SIGNAL                SCK   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_PIN_NAME          FC3_SCK   /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_LABEL "J4[4]/U9[13]/BRIDGE_T_SCK" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_NAME       "BRIDGE_T_SCK"   /*!<@brief Identifier */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_PORT                   0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_PIN                   11U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SCK_PIN_MASK      (1U << 11U)   /*!<@brief PORT pin mask */

/*! @name FC3_RXD_SDA_MOSI (number 47), J4[2]/U9[11]/BRIDGE_T_MOSI */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_PERIPHERAL     FLEXCOMM3   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_SIGNAL      RXD_SDA_MOSI   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_PIN_NAME FC3_RXD_SDA_MOSI  /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_LABEL "J4[2]/U9[11]/BRIDGE_T_MOSI" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_NAME     "BRIDGE_T_MOSI"   /*!<@brief Identifier */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_PORT                  0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_PIN                  12U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MOSI_PIN_MASK     (1U << 12U)   /*!<@brief PORT pin mask */

/*! @name FC3_TXD_SCL_MISO (number 48), J4[3]/U15[4]/BRIDGE_T_MISO */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_PERIPHERAL     FLEXCOMM3   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_SIGNAL      TXD_SCL_MISO   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_PIN_NAME FC3_TXD_SCL_MISO  /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_LABEL "J4[3]/U15[4]/BRIDGE_T_MISO" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_NAME     "BRIDGE_T_MISO"   /*!<@brief Identifier */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_PORT                  0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_PIN                  13U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_MISO_PIN_MASK     (1U << 13U)   /*!<@brief PORT pin mask */

/*! @name FC3_CTS_SDA_SSEL0 (number 49), J2[12]/J4[1]/U9[14]/BRIDGE_T_SSEL-SPIFI_IO3 */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_PERIPHERAL     FLEXCOMM3   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_SIGNAL     CTS_SDA_SSEL0   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_PIN_NAME FC3_CTS_SDA_SSEL0 /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_LABEL "J2[12]/J4[1]/U9[14]/BRIDGE_T_SSEL-SPIFI_IO3" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_NAME     "BRIDGE_T_SSEL"   /*!<@brief Identifier */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_PORT                  0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_PIN                  14U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_T_SSEL_PIN_MASK     (1U << 14U)   /*!<@brief PORT pin mask */

/*! @name PIO0_22 (number 63), J4[8]/P0_22-BRIDGE_GPIO */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_PERIPHERAL            GPIO   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_SIGNAL                PIO0   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_CHANNEL                 22   /*!<@brief Signal channel */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_PIN_NAME           PIO0_22   /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_LABEL "J4[8]/P0_22-BRIDGE_GPIO" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_NAME         "BRIDGE_GPIO"   /*!<@brief Identifier */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_GPIO                  GPIO   /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_GPIO_PIN               22U   /*!<@brief GPIO pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_GPIO_PIN_MASK  (1U << 22U)   /*!<@brief GPIO pin mask */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_PORT                    0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_PIN                    22U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_GPIO_PIN_MASK       (1U << 22U)   /*!<@brief PORT pin mask */

/*! @name FC1_RTS_SCL_SSEL1 (number 1), J4[9]/JS3[1]/JS4[3]/U10[7]/U12[D6]/BRIDGE_SCL */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_PERIPHERAL        FLEXCOMM1   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_SIGNAL        RTS_SCL_SSEL1   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_PIN_NAME  FC1_RTS_SCL_SSEL1   /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_LABEL "J4[9]/JS3[1]/JS4[3]/U10[7]/U12[D6]/BRIDGE_SCL" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_NAME           "BRIDGE_SCL"   /*!<@brief Identifier */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_PORT                     0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_PIN                     23U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SCL_PIN_MASK        (1U << 23U)   /*!<@brief PORT pin mask */

/*! @name FC1_CTS_SDA_SSEL0 (number 2), J4[10]/JS2[1]/JS5[3]/U10[5]/U12[E6]/SW1/BRIDGE_SDA-WAKEUP */
/* Routed pin properties */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_PERIPHERAL FLEXCOMM1   /*!<@brief Peripheral name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_SIGNAL CTS_SDA_SSEL0   /*!<@brief Signal name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_PIN_NAME FC1_CTS_SDA_SSEL0 /*!<@brief Routed pin name */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_LABEL "J4[10]/JS2[1]/JS5[3]/U10[5]/U12[E6]/SW1/BRIDGE_SDA-WAKEUP" /*!<@brief Label */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_NAME "BRIDGE_SDA_WAKEUP" /*!<@brief Identifier */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_PORT              0U   /*!<@brief PORT device index: 0 */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_PIN              24U   /*!<@brief PORT pin number */
#define BOARD_INITPMOD_SPI_I2C_BRIDGEPINS_BRIDGE_SDA_WAKEUP_PIN_MASK (1U << 24U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPMod_SPI_I2C_BRIDGEPins(void); /* Function assigned for the Cortex-M0P */

#define PIO16_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO16_FUNC_ALT7                                                    0x07u   /*!<@brief Selects pin function.: Alternative connection 7. */

/*! @name USB0_DP (number 5), J5[3]/U7[2]/USB_DP */
/* Routed pin properties */
#define BOARD_USB_DP_PERIPHERAL                                             USB0   /*!<@brief Peripheral name */
#define BOARD_USB_DP_SIGNAL                                               USB_DP   /*!<@brief Signal name */
#define BOARD_USB_DP_PIN_NAME                                            USB0_DP   /*!<@brief Routed pin name */
#define BOARD_USB_DP_LABEL                                  "J5[3]/U7[2]/USB_DP"   /*!<@brief Label */
#define BOARD_USB_DP_NAME                                               "USB_DP"   /*!<@brief Identifier */

/*! @name USB0_DM (number 6), J5[2]/U7[3]/USB_DM */
/* Routed pin properties */
#define BOARD_USB_DM_PERIPHERAL                                             USB0   /*!<@brief Peripheral name */
#define BOARD_USB_DM_SIGNAL                                               USB_DM   /*!<@brief Signal name */
#define BOARD_USB_DM_PIN_NAME                                            USB0_DM   /*!<@brief Routed pin name */
#define BOARD_USB_DM_LABEL                                  "J5[2]/U7[3]/USB_DM"   /*!<@brief Label */
#define BOARD_USB_DM_NAME                                               "USB_DM"   /*!<@brief Identifier */

/*! @name USB0_VBUS (number 26), J1[14]/J5[1]/JP10[2]/P1_6-FC7_SCK-USB_VBUS */
/* Routed pin properties */
#define BOARD_USB_VBUS_PERIPHERAL                                           USB0   /*!<@brief Peripheral name */
#define BOARD_USB_VBUS_SIGNAL                                           USB_VBUS   /*!<@brief Signal name */
#define BOARD_USB_VBUS_PIN_NAME                                        USB0_VBUS   /*!<@brief Routed pin name */
#define BOARD_USB_VBUS_LABEL        "J1[14]/J5[1]/JP10[2]/P1_6-FC7_SCK-USB_VBUS"   /*!<@brief Label */
#define BOARD_USB_VBUS_NAME                                           "USB_VBUS"   /*!<@brief Identifier */
#define BOARD_USB_VBUS_PORT                                                   1U   /*!<@brief PORT device index: 1 */
#define BOARD_USB_VBUS_PIN                                                    6U   /*!<@brief PORT pin number */
#define BOARD_USB_VBUS_PIN_MASK                                       (1U << 6U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSBPins(void); /* Function assigned for the Cortex-M0P */

#define PIO00_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO00_FUNC_ALT1                                                    0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO01_DIGIMODE_DIGITAL                                             0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO01_FUNC_ALT1                                                    0x01u   /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name FC0_TXD_SCL_MISO (number 32), U6[4]/U22[3]/P0_1-ISP_TX */
/* Routed pin properties */
#define BOARD_DEBUG_UART_TX_PERIPHERAL                                 FLEXCOMM0   /*!<@brief Peripheral name */
#define BOARD_DEBUG_UART_TX_SIGNAL                                  TXD_SCL_MISO   /*!<@brief Signal name */
#define BOARD_DEBUG_UART_TX_PIN_NAME                            FC0_TXD_SCL_MISO   /*!<@brief Routed pin name */
#define BOARD_DEBUG_UART_TX_LABEL                     "U6[4]/U22[3]/P0_1-ISP_TX"   /*!<@brief Label */
#define BOARD_DEBUG_UART_TX_NAME                                 "DEBUG_UART_TX"   /*!<@brief Identifier */
#define BOARD_DEBUG_UART_TX_DIRECTION                   kPIN_MUX_DirectionOutput   /*!<@brief Direction */
#define BOARD_DEBUG_UART_TX_PORT                                              0U   /*!<@brief PORT device index: 0 */
#define BOARD_DEBUG_UART_TX_PIN                                               1U   /*!<@brief PORT pin number */
#define BOARD_DEBUG_UART_TX_PIN_MASK                                  (1U << 1U)   /*!<@brief PORT pin mask */

/*! @name FC0_RXD_SDA_MOSI (number 31), U18[4]/TO_MUX_P0_0-ISP_RX */
/* Routed pin properties */
#define BOARD_DEBUG_UART_RX_PERIPHERAL                                 FLEXCOMM0   /*!<@brief Peripheral name */
#define BOARD_DEBUG_UART_RX_SIGNAL                                  RXD_SDA_MOSI   /*!<@brief Signal name */
#define BOARD_DEBUG_UART_RX_PIN_NAME                            FC0_RXD_SDA_MOSI   /*!<@brief Routed pin name */
#define BOARD_DEBUG_UART_RX_LABEL                    "U18[4]/TO_MUX_P0_0-ISP_RX"   /*!<@brief Label */
#define BOARD_DEBUG_UART_RX_NAME                                 "DEBUG_UART_RX"   /*!<@brief Identifier */
#define BOARD_DEBUG_UART_RX_DIRECTION                    kPIN_MUX_DirectionInput   /*!<@brief Direction */
#define BOARD_DEBUG_UART_RX_PORT                                              0U   /*!<@brief PORT device index: 0 */
#define BOARD_DEBUG_UART_RX_PIN                                               0U   /*!<@brief PORT pin number */
#define BOARD_DEBUG_UART_RX_PIN_MASK                                  (1U << 0U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void); /* Function assigned for the Cortex-M0P */

#define PIO016_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO016_FUNC_ALT5                                                   0x05u   /*!<@brief Selects pin function.: Alternative connection 5. */
#define PIO017_DIGIMODE_DIGITAL                                            0x01u   /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO017_FUNC_ALT5                                                   0x05u   /*!<@brief Selects pin function.: Alternative connection 5. */

/*! @name SWDIO (number 53), J2[6]/P1[2]/U2[5]/U14[4]/IF_TMS_SWDIO-SPIFI_IO0 */
/* Routed pin properties */
#define BOARD_DEBUG_SWD_SWDIO_PERIPHERAL                                     SWD   /*!<@brief Peripheral name */
#define BOARD_DEBUG_SWD_SWDIO_SIGNAL                                       SWDIO   /*!<@brief Signal name */
#define BOARD_DEBUG_SWD_SWDIO_PIN_NAME                                     SWDIO   /*!<@brief Routed pin name */
#define BOARD_DEBUG_SWD_SWDIO_LABEL "J2[6]/P1[2]/U2[5]/U14[4]/IF_TMS_SWDIO-SPIFI_IO0" /*!<@brief Label */
#define BOARD_DEBUG_SWD_SWDIO_NAME                             "DEBUG_SWD_SWDIO"   /*!<@brief Identifier */
#define BOARD_DEBUG_SWD_SWDIO_PORT                                            0U   /*!<@brief PORT device index: 0 */
#define BOARD_DEBUG_SWD_SWDIO_PIN                                            17U   /*!<@brief PORT pin number */
#define BOARD_DEBUG_SWD_SWDIO_PIN_MASK                               (1U << 17U)   /*!<@brief PORT pin mask */

/*! @name SWCLK (number 52), J2[4]/JS28/U4[4]/TCK-SWDCLK_TRGT-SPIFI_IO1 */
/* Routed pin properties */
#define BOARD_DEBUG_SWD_SWDCLK_PERIPHERAL                                    SWD   /*!<@brief Peripheral name */
#define BOARD_DEBUG_SWD_SWDCLK_SIGNAL                                      SWCLK   /*!<@brief Signal name */
#define BOARD_DEBUG_SWD_SWDCLK_PIN_NAME                                    SWCLK   /*!<@brief Routed pin name */
#define BOARD_DEBUG_SWD_SWDCLK_LABEL "J2[4]/JS28/U4[4]/TCK-SWDCLK_TRGT-SPIFI_IO1"  /*!<@brief Label */
#define BOARD_DEBUG_SWD_SWDCLK_NAME                           "DEBUG_SWD_SWDCLK"   /*!<@brief Identifier */
#define BOARD_DEBUG_SWD_SWDCLK_PORT                                           0U   /*!<@brief PORT device index: 0 */
#define BOARD_DEBUG_SWD_SWDCLK_PIN                                           16U   /*!<@brief PORT pin number */
#define BOARD_DEBUG_SWD_SWDCLK_PIN_MASK                              (1U << 16U)   /*!<@brief PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSWD_DEBUGPins(void); /* Function assigned for the Cortex-M0P */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
